curl https://api.thanxsandbox.com/points_products \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"points_products": [
{
"id": "9xw6543wh8jmde0",
"olo_uid": "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn",
"points_experience_id": "590485d6f0",
"cost": 10,
"exchange_start_at": "2022-01-02T00:00:01.000Z",
"exchange_end_at": "2022-02-02T00:00:01.000Z",
"fine_print": "...",
"redeem": {
"type": "manual",
"venue": "instore",
"window": 60,
"text": "Onion rings",
"detail": "Crispy, golden brown and bursting with flavor, our onion rings are the perfect addition to any meal.",
"restrictions": "Redemption restriction description"
},
"valid_locations": [
"80925z17h8j7vmk"
],
"image": {
"small": "https://...png",
"default": "https://...png",
"large": "https://...png"
},
"uses_dynamic_coupon_codes": false
}
]
}
Points
Get Points Products
This endpoint returns the configured points products.
GET
/
points_products
curl https://api.thanxsandbox.com/points_products \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"points_products": [
{
"id": "9xw6543wh8jmde0",
"olo_uid": "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn",
"points_experience_id": "590485d6f0",
"cost": 10,
"exchange_start_at": "2022-01-02T00:00:01.000Z",
"exchange_end_at": "2022-02-02T00:00:01.000Z",
"fine_print": "...",
"redeem": {
"type": "manual",
"venue": "instore",
"window": 60,
"text": "Onion rings",
"detail": "Crispy, golden brown and bursting with flavor, our onion rings are the perfect addition to any meal.",
"restrictions": "Redemption restriction description"
},
"valid_locations": [
"80925z17h8j7vmk"
],
"image": {
"small": "https://...png",
"default": "https://...png",
"large": "https://...png"
},
"uses_dynamic_coupon_codes": false
}
]
}
Please review proper request headers here.
Parameters
string
Only return points products configured for this merchant
string
Only return points products configured for this points experience
Response
string
The identifier of the points product
string
Developers that do not communicate directly with the Olo APIs can ignore this
field.The field is only present for merchants that have integrated with Olo. This
UID should be used instead of the Reward ID when attempting to apply a reward
to the basket when communicating directly with the Olo API.This UID can also be used to match records (via the
externalreference Olo
rewards API attribute) being returned by the Olo API to relevant reward or
points product records in the Thanx API.string
The identifer of the points experience
decimal
Points needed to buy this product
string
The timestamp denoting when the product goes live
string
The timestamp denoting when the product expires
string
Fine print for the points product
hash
Show redeem
Show redeem
enum
How the reward can be redeemed (
manual, automatic, multiple)enum
Where the reward can be used ('instore', 'online', 'all')
integer
Number of minutes the reward is available for use after activation
string
Description of the points products reward
string
The long description of the points product's reward
string
Any restrictions applicable to the reward
array(string)
IDs of locations at which this points product can be redeemed at, empty if no restriction applies.
hash
boolean
Indicates whether this points product uses dynamically generated coupon codes when redeemed. When
true, a unique coupon code will be generated from a coupon pool when the reward is activated.curl https://api.thanxsandbox.com/points_products \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"points_products": [
{
"id": "9xw6543wh8jmde0",
"olo_uid": "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn",
"points_experience_id": "590485d6f0",
"cost": 10,
"exchange_start_at": "2022-01-02T00:00:01.000Z",
"exchange_end_at": "2022-02-02T00:00:01.000Z",
"fine_print": "...",
"redeem": {
"type": "manual",
"venue": "instore",
"window": 60,
"text": "Onion rings",
"detail": "Crispy, golden brown and bursting with flavor, our onion rings are the perfect addition to any meal.",
"restrictions": "Redemption restriction description"
},
"valid_locations": [
"80925z17h8j7vmk"
],
"image": {
"small": "https://...png",
"default": "https://...png",
"large": "https://...png"
},
"uses_dynamic_coupon_codes": false
}
]
}